org.eclipse.january.dataset

## Interface ILazyWriteableDataset

- All Superinterfaces:
    IDynamicDataset, IDynamicShape, ILazyDataset, IMetadataProvider, INameable, Serializable
  All Known Implementing Classes:
    LazyWriteableDataset

      public interface ILazyWriteableDataset
      extends IDynamicDataset

  This sub-interface adds the ability to write to a lazy dataset slice-by-slice

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNLIMITED` See `IDynamicDataset.UNLIMITED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getChunking()` Get chunking
    `Object` | `getFillValue()` Get the value used to fill an un-initialized dataset
    `void` | `setChunking(int... chunks)` Set chunking
    `void` | `setFillValue(Object fill)` Set the value used to fill an un-initialized dataset
    `void` | `setSaver(ILazySaver saver)` Set saver
    `void` | `setSlice(IMonitor monitor, IDataset data, int[] start, int[] stop, int[] step)` Set a slice of the dataset
    `void` | `setSlice(IMonitor monitor, IDataset data, SliceND slice)` Set a slice of the dataset
    `void` | `setSliceSync(IMonitor monitor, IDataset data, SliceND slice)` Set a slice of the dataset synchronously
    `void` | `setWritingAsync(boolean async)` Set writing slices as asynchronous

    - ### Methods inherited from interface org.eclipse.january.dataset.ILazyDataset

      `addMetadata, clearMetadata, clone, getElementClass, getElementsPerItem, getErrors, getRank, getShape, getSize, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceView, getSliceView, getSliceView, getTransposedView, hasErrors, setErrors, setMetadata, setShape, squeezeEnds`

    - ### Methods inherited from interface org.eclipse.january.dataset.IMetadataProvider

      `getFirstMetadata, getMetadata, getMetadata`

    - ### Methods inherited from interface org.eclipse.january.INameable

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.january.dataset.IDynamicShape

      `addDataListener, fireDataListeners, getDataset, getMaxShape, refreshShape, removeDataListener, resize, setMaxShape, startUpdateChecker`

- - ### Field Detail

    - #### UNLIMITED

          static final int UNLIMITED

      See `IDynamicDataset.UNLIMITED`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getChunking

          int[] getChunking()

      Get chunking
      Returns:
        chunks (can be null)

    - #### setChunking

          void setChunking(int... chunks)

      Set chunking
      Parameters:
        `chunks` - chunk shape

    - #### setSaver

          void setSaver(ILazySaver saver)

      Set saver
      Parameters:
        `saver` -

    - #### setSlice

          void setSlice(IMonitor monitor,
                      IDataset data,
                      SliceND slice)
                        throws DatasetException

      Set a slice of the dataset
      Parameters:
        `monitor` -
        `data` -
        `slice` - an n-D slice
      Throws:
        `DatasetException`

    - #### setSlice

          void setSlice(IMonitor monitor,
                      IDataset data,
                      int[] start,
                      int[] stop,
                      int[] step)
                        throws DatasetException

      Set a slice of the dataset
      Parameters:
        `monitor` -
        `data` -
        `start` - specifies the starting indexes (can be null for origin)
        `stop` - specifies the stopping indexes (can be null for end)
        `step` - specifies the steps in the slice (can be null for unit steps)
      Throws:
        `DatasetException`

    - #### setSliceSync

          void setSliceSync(IMonitor monitor,
                          IDataset data,
                          SliceND slice)
                            throws DatasetException

      Set a slice of the dataset synchronously
      Parameters:
        `monitor` -
        `data` -
        `slice` - an n-D slice
      Throws:
        `DatasetException`

    - #### setWritingAsync

          void setWritingAsync(boolean async)

      Set writing slices as asynchronous
      Parameters:
        `async` -

    - #### getFillValue

          Object getFillValue()

      Get the value used to fill an un-initialized dataset
      Returns:
        fill value

    - #### setFillValue

          void setFillValue(Object fill)

      Set the value used to fill an un-initialized dataset
      Parameters:
        `fill` -

Copyright © 2017. All rights reserved.